vn.py官网
开源量化社区
Member
avatar
加入于:
帖子: 4
声望: 0

vnpy2.1.8 的 CTP API版本是多少?当前simnow的API版本是多少?
一直连不上交易/行情服务器给我报Decrypt handshake data failed 4097 错误码
查了博客说大概率是API版本不对,不知道怎么查询,和如何更换匹配,请教一下大家。

Member
avatar
加入于:
帖子: 4
声望: 0

同时如果在云服务器上部署vnpy,想要使用ctp+cta策略,需要开放什么端口?目前只开放了部分端口

Member
avatar
加入于:
帖子: 3124
声望: 182
  1. 6.3.15, simnow就是连的ctp接口。报4097请检查是否同时连接了两个c++接口造成dll冲突或者用错了simnow环境或者simnow注册后还没改过密码;
  2. 可参考https://www.vnpy.com/forum/topic/1967-vn-pyshe-qu-jing-xuan-2-da-jian-a-li-yun-ubuntuliang-hua-jiao-yi-fu-wu-qi
    https://www.vnpy.com/forum/topic/1968-vn-pyshe-qu-jing-xuan-3-zai-ubuntuxi-tong-shang-yun-xing-vn-py
    要选择的接口和上层应用在run.py中取消注释即可
Member
avatar
加入于:
帖子: 3
声望: 0

xiaohe wrote:

  1. 6.3.15, simnow就是连的ctp接口。报4097请检查是否同时连接了两个c++接口造成dll冲突或者用错了simnow环境或者simnow注册后还没改过密码;
  2. 可参考https://www.vnpy.com/forum/topic/1967-vn-pyshe-qu-jing-xuan-2-da-jian-a-li-yun-ubuntuliang-hua-jiao-yi-fu-wu-qi
    https://www.vnpy.com/forum/topic/1968-vn-pyshe-qu-jing-xuan-3-zai-ubuntuxi-tong-shang-yun-xing-vn-py
    要选择的接口和上层应用在run.py中取消注释即可
    你好,请问现在上期更新版本到了6.5.1,底层ctp api 应该要自己重新编译吧
Member
avatar
加入于:
帖子: 3124
声望: 182

是和6.3.15向下兼容的

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号